Skip to main content
PATCH
Update SLURM bootstrap configuration

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

device_role_id
string<uuid>
required
id
string<uuid>
required

A UUID string identifying this site.

Body

Update payload — all provisioning fields optional, null clears nullable fields.

image
string | null
flavor
string | null
features
string[] | null
gres
string | null
user_data
string | null

Response

Protected exact-row representation of site-role SLURM bootstrap configuration.

site
string<uuid>
required
read-only
device_role
string<uuid>
required
image
string | null
required
flavor
string | null
required
features
string[]
required
gres
string | null
required
user_data
string | null
required
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only